#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: Agda
version: 2.5.3.20180519
id: Agda-2.5.3.20180519-3lLobgIvcaeF5BTMVAtmEj
key: Agda-2.5.3.20180519-3lLobgIvcaeF5BTMVAtmEj
license: LicenseRef-OtherLicense
maintainer: Ulf Norell <ulfn@chalmers.se>
author: Agda 2 was originally written by Ulf Norell, partially based on code from Agda 1 by Catarina Coquand and Makoto Takeyama, and from Agdalight by Ulf Norell and Andreas Abel. Agda 2 is currently actively developed mainly by Andreas Abel, Guillaume Allais, Jesper Cockx, Nils Anders Danielsson, Philipp Hausmann, Fredrik Nordvall Forsberg, Ulf Norell, Víctor López Juan, Andrés Sicard-Ramírez, and Andrea Vezzosi. Further, Agda 2 has received contributions by, amongst others, Stevan Andjelkovic, Marcin Benke, Jean-Philippe Bernardy, Guillaume Brunerie, James Chapman, Dominique Devriese, Péter Diviánszki, Olle Fredriksson, Adam Gundry, Daniel Gustafsson, Kuen-Bang Hou (favonia), Patrik Jansson, Alan Jeffrey, Wolfram Kahl, Wen Kokke, Fredrik Lindblad, Francesco Mazzoli, Stefan Monnier, Darin Morrison, Guilhem Moulin, Nicolas Pouillard, Nobuo Yamashita, Christian Sattler, and Makoto Takeyama and many more.
homepage: http://wiki.portal.chalmers.se/agda/
synopsis: A dependently typed functional programming language and proof assistant
description:
    Agda is a dependently typed functional programming language: It has
    inductive families, which are similar to Haskell'\''s GADTs, but they
    can be indexed by values and not just types. It also has
    parameterised modules, mixfix operators, Unicode characters, and an
    interactive Emacs interface (the type checker can assist in the
    development of your code).
    .
    Agda is also a proof assistant: It is an interactive system for
    writing and checking proofs. Agda is based on intuitionistic type
    theory, a foundational system for constructive mathematics developed
    by the Swedish logician Per Martin-L&#xf6;f. It has many
    similarities with other proof assistants based on dependent types,
    such as Coq, Epigram and NuPRL.
    .
    This package includes both a command-line program (agda) and an
    Emacs mode. If you want to use the Emacs mode you can set it up by
    running @agda-mode setup@ (see the README).
    .
    Note that the Agda package does not follow the package versioning
    policy, because it is not intended to be used by third-party
    packages.
category: Dependent types
abi: fceb97061c12bae3d9f53b37ce9077f2
exposed: True
exposed-modules:
    Agda.Auto.Auto Agda.Auto.CaseSplit Agda.Auto.Convert
    Agda.Auto.NarrowingSearch Agda.Auto.Options Agda.Auto.SearchControl
    Agda.Auto.Syntax Agda.Auto.Typecheck Agda.Benchmarking
    Agda.Compiler.Backend Agda.Compiler.CallCompiler
    Agda.Compiler.Common Agda.Compiler.JS.Compiler
    Agda.Compiler.JS.Pretty Agda.Compiler.JS.Substitution
    Agda.Compiler.JS.Syntax Agda.Compiler.MAlonzo.Coerce
    Agda.Compiler.MAlonzo.Compiler Agda.Compiler.MAlonzo.Encode
    Agda.Compiler.MAlonzo.HaskellTypes Agda.Compiler.MAlonzo.Misc
    Agda.Compiler.MAlonzo.Pragmas Agda.Compiler.MAlonzo.Pretty
    Agda.Compiler.MAlonzo.Primitives Agda.Compiler.ToTreeless
    Agda.Compiler.Treeless.AsPatterns Agda.Compiler.Treeless.Builtin
    Agda.Compiler.Treeless.Compare
    Agda.Compiler.Treeless.EliminateDefaults
    Agda.Compiler.Treeless.EliminateLiteralPatterns
    Agda.Compiler.Treeless.Erase Agda.Compiler.Treeless.GuardsToPrims
    Agda.Compiler.Treeless.Identity
    Agda.Compiler.Treeless.NormalizeNames Agda.Compiler.Treeless.Pretty
    Agda.Compiler.Treeless.Simplify Agda.Compiler.Treeless.Subst
    Agda.Compiler.Treeless.Uncase Agda.Compiler.Treeless.Unused
    Agda.ImpossibleTest Agda.Interaction.BasicOps
    Agda.Interaction.CommandLine Agda.Interaction.EmacsCommand
    Agda.Interaction.EmacsTop Agda.Interaction.FindFile
    Agda.Interaction.Highlighting.Dot
    Agda.Interaction.Highlighting.Emacs
    Agda.Interaction.Highlighting.Generate
    Agda.Interaction.Highlighting.HTML
    Agda.Interaction.Highlighting.LaTeX
    Agda.Interaction.Highlighting.Precise
    Agda.Interaction.Highlighting.Range
    Agda.Interaction.Highlighting.Vim Agda.Interaction.Imports
    Agda.Interaction.InteractionTop Agda.Interaction.Library
    Agda.Interaction.Library.Base Agda.Interaction.Library.Parse
    Agda.Interaction.MakeCase Agda.Interaction.Monad
    Agda.Interaction.Options Agda.Interaction.Options.Help
    Agda.Interaction.Options.IORefs Agda.Interaction.Options.Lenses
    Agda.Interaction.Options.Warnings Agda.Interaction.Response
    Agda.Interaction.SearchAbout Agda.Main Agda.Syntax.Abstract
    Agda.Syntax.Abstract.Copatterns Agda.Syntax.Abstract.Name
    Agda.Syntax.Abstract.Pattern Agda.Syntax.Abstract.PatternSynonyms
    Agda.Syntax.Abstract.Pretty Agda.Syntax.Abstract.Views
    Agda.Syntax.Common Agda.Syntax.Concrete
    Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Generic
    Agda.Syntax.Concrete.Name Agda.Syntax.Concrete.Operators
    Agda.Syntax.Concrete.Operators.Parser
    Agda.Syntax.Concrete.Operators.Parser.Monad
    Agda.Syntax.Concrete.Pattern Agda.Syntax.Concrete.Pretty
    Agda.Syntax.DoNotation Agda.Syntax.Fixity Agda.Syntax.IdiomBrackets
    Agda.Syntax.Info Agda.Syntax.Internal Agda.Syntax.Internal.Defs
    Agda.Syntax.Internal.Generic Agda.Syntax.Internal.Names
    Agda.Syntax.Internal.Pattern Agda.Syntax.Internal.SanityCheck
    Agda.Syntax.Literal Agda.Syntax.Notation Agda.Syntax.Parser
    Agda.Syntax.Parser.Alex Agda.Syntax.Parser.Comments
    Agda.Syntax.Parser.Layout Agda.Syntax.Parser.LexActions
    Agda.Syntax.Parser.Lexer Agda.Syntax.Parser.Literate
    Agda.Syntax.Parser.LookAhead Agda.Syntax.Parser.Monad
    Agda.Syntax.Parser.Parser Agda.Syntax.Parser.StringLiterals
    Agda.Syntax.Parser.Tokens Agda.Syntax.Position
    Agda.Syntax.Reflected Agda.Syntax.Scope.Base
    Agda.Syntax.Scope.Monad Agda.Syntax.Translation.AbstractToConcrete
    Agda.Syntax.Translation.ConcreteToAbstract
    Agda.Syntax.Translation.InternalToAbstract
    Agda.Syntax.Translation.ReflectedToAbstract Agda.Syntax.Treeless
    Agda.Termination.CallGraph Agda.Termination.CallMatrix
    Agda.Termination.CutOff Agda.Termination.Inlining
    Agda.Termination.Monad Agda.Termination.Order
    Agda.Termination.RecCheck Agda.Termination.Semiring
    Agda.Termination.SparseMatrix Agda.Termination.TermCheck
    Agda.Termination.Termination Agda.TheTypeChecker
    Agda.TypeChecking.Abstract Agda.TypeChecking.CheckInternal
    Agda.TypeChecking.CompiledClause
    Agda.TypeChecking.CompiledClause.Compile
    Agda.TypeChecking.CompiledClause.Match
    Agda.TypeChecking.Constraints Agda.TypeChecking.Conversion
    Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match
    Agda.TypeChecking.Coverage.SplitTree Agda.TypeChecking.Datatypes
    Agda.TypeChecking.DeadCode Agda.TypeChecking.DisplayForm
    Agda.TypeChecking.DropArgs Agda.TypeChecking.Empty
    Agda.TypeChecking.Errors Agda.TypeChecking.EtaContract
    Agda.TypeChecking.Forcing Agda.TypeChecking.Free
    Agda.TypeChecking.Free.Lazy Agda.TypeChecking.Free.Old
    Agda.TypeChecking.Free.Precompute Agda.TypeChecking.Functions
    Agda.TypeChecking.Implicit Agda.TypeChecking.Injectivity
    Agda.TypeChecking.Inlining Agda.TypeChecking.InstanceArguments
    Agda.TypeChecking.Irrelevance Agda.TypeChecking.Level
    Agda.TypeChecking.LevelConstraints Agda.TypeChecking.MetaVars
    Agda.TypeChecking.MetaVars.Mention
    Agda.TypeChecking.MetaVars.Occurs Agda.TypeChecking.Monad
    Agda.TypeChecking.Monad.Base Agda.TypeChecking.Monad.Benchmark
    Agda.TypeChecking.Monad.Builtin Agda.TypeChecking.Monad.Caching
    Agda.TypeChecking.Monad.Closure Agda.TypeChecking.Monad.Constraints
    Agda.TypeChecking.Monad.Context Agda.TypeChecking.Monad.Debug
    Agda.TypeChecking.Monad.Env Agda.TypeChecking.Monad.Imports
    Agda.TypeChecking.Monad.MetaVars Agda.TypeChecking.Monad.Mutual
    Agda.TypeChecking.Monad.Open Agda.TypeChecking.Monad.Options
    Agda.TypeChecking.Monad.Signature
    Agda.TypeChecking.Monad.SizedTypes Agda.TypeChecking.Monad.State
    Agda.TypeChecking.Monad.Statistics Agda.TypeChecking.Monad.Trace
    Agda.TypeChecking.Patterns.Abstract
    Agda.TypeChecking.Patterns.Internal
    Agda.TypeChecking.Patterns.Match Agda.TypeChecking.Polarity
    Agda.TypeChecking.Positivity
    Agda.TypeChecking.Positivity.Occurrence Agda.TypeChecking.Pretty
    Agda.TypeChecking.Primitive Agda.TypeChecking.ProjectionLike
    Agda.TypeChecking.Quote Agda.TypeChecking.ReconstructParameters
    Agda.TypeChecking.RecordPatterns Agda.TypeChecking.Records
    Agda.TypeChecking.Reduce Agda.TypeChecking.Reduce.Fast
    Agda.TypeChecking.Reduce.Monad Agda.TypeChecking.Rewriting
    Agda.TypeChecking.Rewriting.NonLinMatch
    Agda.TypeChecking.Rules.Application Agda.TypeChecking.Rules.Builtin
    Agda.TypeChecking.Rules.Builtin.Coinduction
    Agda.TypeChecking.Rules.Data Agda.TypeChecking.Rules.Decl
    Agda.TypeChecking.Rules.Def Agda.TypeChecking.Rules.Display
    Agda.TypeChecking.Rules.LHS Agda.TypeChecking.Rules.LHS.Implicit
    Agda.TypeChecking.Rules.LHS.Problem
    Agda.TypeChecking.Rules.LHS.ProblemRest
    Agda.TypeChecking.Rules.LHS.Unify Agda.TypeChecking.Rules.Record
    Agda.TypeChecking.Rules.Term Agda.TypeChecking.Serialise
    Agda.TypeChecking.Serialise.Base
    Agda.TypeChecking.Serialise.Instances
    Agda.TypeChecking.Serialise.Instances.Abstract
    Agda.TypeChecking.Serialise.Instances.Common
    Agda.TypeChecking.Serialise.Instances.Compilers
    Agda.TypeChecking.Serialise.Instances.Errors
    Agda.TypeChecking.Serialise.Instances.Highlighting
    Agda.TypeChecking.Serialise.Instances.Internal
    Agda.TypeChecking.SizedTypes Agda.TypeChecking.SizedTypes.Solve
    Agda.TypeChecking.SizedTypes.Syntax
    Agda.TypeChecking.SizedTypes.Utils
    Agda.TypeChecking.SizedTypes.WarshallSolver Agda.TypeChecking.Sort
    Agda.TypeChecking.Substitute Agda.TypeChecking.Substitute.Class
    Agda.TypeChecking.Substitute.DeBruijn
    Agda.TypeChecking.SyntacticEquality Agda.TypeChecking.Telescope
    Agda.TypeChecking.Unquote Agda.TypeChecking.Warnings
    Agda.TypeChecking.With Agda.Utils.AffineHole Agda.Utils.AssocList
    Agda.Utils.Bag Agda.Utils.Benchmark Agda.Utils.BiMap
    Agda.Utils.Char Agda.Utils.Cluster Agda.Utils.Either
    Agda.Utils.Empty Agda.Utils.Environment Agda.Utils.Except
    Agda.Utils.Favorites Agda.Utils.FileName Agda.Utils.Float
    Agda.Utils.Function Agda.Utils.Functor Agda.Utils.Geniplate
    Agda.Utils.Graph.AdjacencyMap.Unidirectional Agda.Utils.Hash
    Agda.Utils.HashMap Agda.Utils.Haskell.Syntax Agda.Utils.IO
    Agda.Utils.IO.Binary Agda.Utils.IO.Directory Agda.Utils.IO.UTF8
    Agda.Utils.IORef Agda.Utils.Impossible Agda.Utils.IndexedList
    Agda.Utils.IntSet.Infinite Agda.Utils.Lens Agda.Utils.Lens.Examples
    Agda.Utils.List Agda.Utils.ListT Agda.Utils.Map Agda.Utils.Maybe
    Agda.Utils.Maybe.Strict Agda.Utils.Memo Agda.Utils.Monad
    Agda.Utils.Monoid Agda.Utils.NonemptyList Agda.Utils.Null
    Agda.Utils.POMonoid Agda.Utils.Parser.MemoisedCPS
    Agda.Utils.Parser.ReadP Agda.Utils.PartialOrd
    Agda.Utils.Permutation Agda.Utils.Pointer Agda.Utils.Pretty
    Agda.Utils.SemiRing Agda.Utils.Singleton Agda.Utils.Size
    Agda.Utils.String Agda.Utils.Suffix Agda.Utils.Three
    Agda.Utils.Time Agda.Utils.Trie Agda.Utils.Tuple
    Agda.Utils.TypeLevel Agda.Utils.Update Agda.Utils.VarSet
    Agda.Utils.Warshall Agda.Utils.Zipper Agda.Version
    Agda.VersionCommit
hidden-modules: Paths_Agda
import-dirs: /usr/lib/ghc-8.4.2/site-local/Agda-2.5.3.20180519
library-dirs: /usr/lib/ghc-8.4.2/site-local/Agda-2.5.3.20180519
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/agda
hs-libraries: HSAgda-2.5.3.20180519-3lLobgIvcaeF5BTMVAtmEj
depends:
    array-0.5.2.0 async-2.2.1-B6m2kYywRJu7nicgTBxsJe base-4.11.1.0
    binary-0.8.5.1 blaze-html-0.9.0.1-GE6MVgSdj1NIDsAcI8SbsY
    boxes-0.1.5-4n99DHwa4jSJDdsAi4cR5s bytestring-0.10.8.2
    containers-0.5.11.0 data-hash-0.2.0.1-D2pljNnFjuv5cOCQdMozWU
    deepseq-1.4.3.0 directory-1.3.1.5
    EdisonCore-1.3.2.1-6yqPau7HF7PLI1sbKMpaCS
    edit-distance-0.2.2.1-B7XvzAt3DQ5DrMTYu2eW2w
    equivalence-0.3.2-3KXUMF3chYxDgZgaRfCp58 filepath-1.4.2
    geniplate-mirror-0.7.6-BOyiF6L7w2F4l39KglniJW
    gitrev-1.3.1-GWZebipuES31VlD8DlE6Dn
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    hashtables-1.2.3.1-E6SyqzZX2cWDpE9R8x74sx haskeline-0.7.4.2
    ieee754-0.8.0-KmEF4YGiqmIDu40b1SLx46 mtl-2.2.2
    murmur-hash-0.1.0.9-Ce2PF3vuSih2JvgNjQCn0O pretty-1.1.3.6
    process-1.6.3.0 regex-tdfa-1.2.3-1e6W0u5rRmsDEmJafeJHae stm-2.4.5.0
    strict-0.3.2-GUMMwuTAWLDDoRWXG04D6Z template-haskell-2.13.0.0
    text-1.2.3.0 time-1.8.0.2
    unordered-containers-0.2.9.0-1povi3WcJSf3q8paF1eNQy
    uri-encode-1.5.0.5-C0LTL3cUY17EybZuOdcMgy transformers-0.5.5.0
    zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH
abi-depends: array-0.5.2.0=bb8a0a055da041d4a1af1fe72b048aac
             async-2.2.1-B6m2kYywRJu7nicgTBxsJe=bd54051b5262cc01ea16fdac1ee303b5
             base-4.11.1.0=bfef4fce79d49f276dc5fd779b74f236
             binary-0.8.5.1=2f59f2a478a8a7d5b452598520608bb0
             blaze-html-0.9.0.1-GE6MVgSdj1NIDsAcI8SbsY=ec309c75cbb5a16f83a191e50c82334c
             boxes-0.1.5-4n99DHwa4jSJDdsAi4cR5s=13b09ce5e1afab8e2ed1c8d76750d189
             bytestring-0.10.8.2=bfacfcd6e329c339939bf4b801701354
             containers-0.5.11.0=10cf77e61a81422a80449c188ff5769f
             data-hash-0.2.0.1-D2pljNnFjuv5cOCQdMozWU=b3760fad0cd485788ca2b87ef19055b8
             deepseq-1.4.3.0=3fbfb81a123e8407428082d6f427f08c
             directory-1.3.1.5=bd94b5f62782b72df2ab09d9b39fe2fa
             EdisonCore-1.3.2.1-6yqPau7HF7PLI1sbKMpaCS=fd174ddae229311695722cf25d07da02
             edit-distance-0.2.2.1-B7XvzAt3DQ5DrMTYu2eW2w=b76a4843fabf3ef9c670b7d8bfab7915
             equivalence-0.3.2-3KXUMF3chYxDgZgaRfCp58=e02813f7781f5f180a9addbe7cf02705
             filepath-1.4.2=d289f6a2b37a27cabe37a7ea341e9c3a
             geniplate-mirror-0.7.6-BOyiF6L7w2F4l39KglniJW=70e960bd4c8b984dbf2ce00ee9b9eb79
             gitrev-1.3.1-GWZebipuES31VlD8DlE6Dn=d379754db208fecb4db9832d9f28f79e
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=ea83796803b664a82fa5deeda06def4b
             hashtables-1.2.3.1-E6SyqzZX2cWDpE9R8x74sx=b4490ebcba6bc7f474b303b6a353d42f
             haskeline-0.7.4.2=dbe77bbd352424e60789f8892ca79d6b
             ieee754-0.8.0-KmEF4YGiqmIDu40b1SLx46=66dddf0476e1b7aa2b244b4719d45723
             mtl-2.2.2=f433ef8a29bd51cbc1622950944b1f99
             murmur-hash-0.1.0.9-Ce2PF3vuSih2JvgNjQCn0O=03e6ede74f56f778c98bc7cb97da7685
             pretty-1.1.3.6=65848c7ef47e74dc9d76cfc449f623e4
             process-1.6.3.0=471030a71c172c8cddb7826e3b5c6693
             regex-tdfa-1.2.3-1e6W0u5rRmsDEmJafeJHae=49a107f790db625c42ee3c8ba8501c91
             stm-2.4.5.0=80ef763207e9813380c883df09101599
             strict-0.3.2-GUMMwuTAWLDDoRWXG04D6Z=9f4c3acc53a7d2a927bd38e23b9e00fe
             template-haskell-2.13.0.0=fbad9f7707a2fd6175703527bd8702df
             text-1.2.3.0=2a54546d911aaaeb9fac0e2877ffac91
             time-1.8.0.2=b1d0655b4b2587793c9cbb0e98bb8cb6
             unordered-containers-0.2.9.0-1povi3WcJSf3q8paF1eNQy=4e49f35a2b0759d5a637cb0dfc92969b
             uri-encode-1.5.0.5-C0LTL3cUY17EybZuOdcMgy=287c4bcad6c21a64acb7292d9215e4b9
             transformers-0.5.5.0=1ca8208de5f7ecfd9ac895610a69c78c
             zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH=f7848fa2f2d0c94c92bc66f4f0b0d686
haddock-interfaces: /usr/share/doc/agda/html/Agda.haddock
haddock-html: /usr/share/doc/agda/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

